
; ******************************************************************************
; DATA FORMAT
; -----------
;
; [<AppID>]                    - App ID must be less than 6 characters long
; source=<path to file>        - Required for copying (omit if not copying)
; dest=<path to file>          - Required for copying (omit if not copying)
; target=<path to EXE>         - Required if launching app (omit if not launching app)
; params=<cmd line parameters> - Optional (omit if not launching app)
;
; <path to file> = <Path Prefix>:<Path Modifier><File Path>
;
; Example: source=INS:comps\vwpt.exe
;
; Valid Values For <Path Prefix>
; ------------------------------
; AOL - The path to the AOL Install Folder (Default: C:\Program Files\America Online 9.0).
; SHR - The path to the AOLShare folder.
; INS - The path to the folder from which the AOL installer was launched.
; CMN - The path to the Windows "Common Files" folder.
; SYS - The path to the Windows System folder.
; S64 - The path to the Windows System folder. if it is 64 bit , it will return  to system32 fodler otherwise syswow64 folders
; TMP - The path to the Windows Temp folder.
; CAD - The path to the Windows Common Application Data folder.
; REG - Read the path from the registry.
;     - Syntax: REG:{HKLM | HKCU}\<RegKey>,<RegValueToReadPathFrom>:<FileToCopyToPath>
;               <ValueToReadPathFrom> must be of type REG_SZ and be the fully qualified 
;                                     path to the destination folder for <FileToCopyToPath>.
;
; Valid <Path Modifier> Values
; ----------------------------
; "\" - Path is relative to the root of the drive the prefix points to.
' ""  - Path is relative to the path that the prefix points to.
; ******************************************************************************


; **** Core Client Install/Restore Application ****
[comp02]
source=INS:comp02.000
dest=AOL:backup\restore\comp02.000
target=INS:comp02.000

; **** NSIS Converted Install Script ****
[comp03]
target=INS:comp03.000
params=/S

; **** AOL Components ****

; **** Third Party Components ****
;*  O C P *
[ocdll]
dest=INS:Comps\ocp\ocpchk.dll
source=INS:Comps\ocp\ocpchk.dll
NeedsInstallWithRef=1

[ocp]
target=INS:Comps\ocp\ocpinst.exe
params=/S /localestr=en-US
instSpace=1000
footSpace=1500
tempSpace=1200
mainTimeoutInSec=60
timeToFirstUpdInSec=60
firstUpdPercent=100
allowKill=1

; Viewpoint
[vpdll]
source=INS:Comps\vwpt\AOLVPChk.dll
dest=AOL:Jiti\AOLVPChk.dll
NeedsInstallWithRef=0

[vwpt]
source=INS:Comps\vwpt\vwpt.exe
dest=AOL:Jiti\viewpoint.exe
target=INS:Comps\vwpt\vwpt.exe
params=/S
instSpace=4000
footSpace=7500
tempSpace=2000
mainTimeoutInSec=20
timeToFirstUpdInSec=0
firstUpdPercent=0
allowKill=1

[vwpt1]
source=INS:Comps\vwpt\AOLTheme.mtx
dest=SHR:Themes\AOLTheme.mtx

[vwche]
; source=INS:Comps\vwpt\VPPrePop.exe
; dest=AOL:Jiti\VMP_Cache_Populator.exe
; target=AOL:Jiti\VMP_Cache_Populator.exe
target=INS:Comps\vwpt\VPPrePop.exe
params=VMPCache.mtz -k
instSpace=1024
footSpace=1024
tempSpace=2048

; ACS
[acs]
source=INS:Comps\acs\AcsSetup.exe
target=INS:Comps\acs\AcsSetup.exe
params=/S /C /P
instSpace=4200
footSpace=8151
tempSpace=2048
mainTimeoutInSec=20
timeToFirstUpdInSec=0
firstUpdPercent=0
allowKill=0

[acsdll]
source=INS:Comps\acs\AcsInstA.dll
dest=CMN:AOL\ACS\AcsInstA.dll

;ACS ECU
[ecuacs]
source=INS:Comps\acs\ecuinst.exe
target=INS:Comps\acs\ecuinst.exe
params=
instSpace=1000
footSpace=1500
tempSpace=1200
mainTimeoutInSec=20
timeToFirstUpdInSec=0
firstUpdPercent=0
allowKill=1

; AOL Talkback
[tbdll]
source=INS:Comps\tb\tbinst.dll
dest=INS:Comps\tb\tbinst.dll
NeedsInstallWithRef=1

[tb]
target=INS:Comps\tb\TBSetup.exe
params= /IniPath=TMP:install.ini /Section=TALKBACK /S
instSpace=500
footSpace=550
tempSpace=0
mainTimeoutInSec=20
timeToFirstUpdInSec=0
firstUpdPercent=0
allowKill=1


; AOL TopSpeed
[tsdll]
source=INS:Comps\tpspd\tsverchk.dll
dest=AOL:Jiti\tsverchk.dll
NeedsInstallWithRef=1


[tpspd]
target=INS:Comps\tpspd\wbsetup.exe
params=/S /REFERENCE=
instSpace=400
footSpace=700
tempSpace=0
mainTimeoutInSec=20
timeToFirstUpdInSec=0
firstUpdPercent=0
allowKill=1

; AOL Sysinfo
[sidll]
dest=INS:Comps\sysinfo\SiNdInst.dll
source=INS:Comps\sysinfo\SiNdInst.dll
NeedsInstallWithRef=1

[sysinf]
target=INS:Comps\sysinfo\SinfInst.exe
params=/S /localestr=en-US
instSpace=1000
footSpace=1500
tempSpace=1200
mainTimeoutInSec=20
timeToFirstUpdInSec=0
firstUpdPercent=0
allowKill=1

; Language pack
[lp]
target=INS:Comps\lp\langpack.exe
params=/S
instSpace=2300
footSpace=5500
tempSpace=1200
mainTimeoutInSec=25
timeToFirstUpdInSec=0
firstUpdPercent=0
allowKill=1

; Art DB
;[art]
;source=INS:Comps\art\art.idx

;OCP CCU
[ocpccu]
target=INS:Comps\ccu\ocpinsti.exe
params=/localestr=en-US /section=OCP1 /installpath="CMN:AOL\CCU"
instSpace=3000
footSpace=3000
tempSpace=3000
mainTimeoutInSec=20
timeToFirstUpdInSec=0
firstUpdPercent=0
allowKill=1

;Autofix (one-click fix)
[afix]
target=INS:Comps\afix\afixinst.exe
params=/section=Autofix /IniPath=TMP:install.ini /S
instSpace=284
footSpace=1200
tempSpace=0
mainTimeoutInSec=20
timeToFirstUpdInSec=0
firstUpdPercent=0
allowKill=1

;AutoFix lang Pack
[afixl]
target=INS:Comps\afix\afixlang.exe
params=/section=AutofixLang /IniPath=TMP:install.ini /S
instSpace=175
footSpace=1200
tempSpace=0
mainTimeoutInSec=20
timeToFirstUpdInSec=0
firstUpdPercent=0
allowKill=1


;AutoFix EU lang Pack
[afl_eu]
target=INS:Comps\afix\afixlang_eu.exe
params=/section=AutofixLang /IniPath=TMP:install.ini /S
instSpace=175
footSpace=1200
tempSpace=0
mainTimeoutInSec=20
timeToFirstUpdInSec=0
firstUpdPercent=0
allowKill=1


;Winsock fix
[wsdll]
dest=INS:Comps\afix\wsfixchk.dll
source=INS:Comps\afix\wsfixchk.dll
NeedsInstallWithRef=0

[wsfix]
target=INS:Comps\afix\wsfinst.exe
params=/section=wsfix /IniPath=TMP:install.ini /S
instSpace=0
footSpace=530
tempSpace=0
mainTimeoutInSec=20
timeToFirstUpdInSec=0
firstUpdPercent=0
allowKill=1

;Settings Manager
[setman]
target=INS:Comps\sm\stmninst.exe
params=/section=setman /IniPath=TMP:install.ini /S
instSpace=0
footSpace=300
tempSpace=0
mainTimeoutInSec=20
timeToFirstUpdInSec=0
firstUpdPercent=0
allowKill=1

;Settings Manager lang Pack US
[stmnus]
target=INS:Comps\sm\sminstlp.exe
params=/section=stmnus /IniPath=TMP:install.ini /S
instSpace=0
footSpace=300
tempSpace=0
mainTimeoutInSec=20
timeToFirstUpdInSec=0
firstUpdPercent=0
allowKill=1

;Settings Manager lang Pack intl
;[stmnlp]
;target=INS:Comps\sm\sminstxx.exe
;params=/section=stmnlp /IniPath=TMP:install.ini /S
;instSpace=0
;footSpace=300
;tempSpace=0
;mainTimeoutInSec=20
;timeToFirstUpdInSec=0
;firstUpdPercent=0
;allowKill=1


;AolLoader (AOL Loader)
[loader]
target=INS:Comps\aolload\alsetup.exe
params=/section=LOADER /IniPath=TMP:install.ini /S
instSpace=175
footSpace=1200
tempSpace=0
mainTimeoutInSec=20
timeToFirstUpdInSec=0
firstUpdPercent=0
allowKill=1

;Master Uninstaller(Uber)
[unins]
target=INS:Comps\muinst\muinst.exe
params=/S
instSpace=700
footSpace=1200
tempSpace=0
mainTimeoutInSec=20
timeToFirstUpdInSec=0
firstUpdPercent=0
allowKill=1

;Adobe Flash Installer - 9
[mflash]
target=INS:Comps\flash\flash9ex.exe
params=/Q
instSpace=175
footSpace=1200
tempSpace=0
mainTimeoutInSec=20
timeToFirstUpdInSec=0
firstUpdPercent=0
allowKill=1

;AOL IE Toolbar 
[toolbr]
target=INS:Comps\toolbar\toolbar.exe
params=/InstallSource="TB50CL" /DefaultSearch=N /S
instSpace=2400
footSpace=3600
tempSpace=1200
mainTimeoutInSec=20
timeToFirstUpdInSec=0
firstUpdPercent=0
allowKill=1

;Vista Gadget
[gadget]
target=SYS:msiexec.exe
params=/i "INS:Comps\gadget\AOLMCGadgetInstall.msi" /qn
instSpace=1000
footSpace=1500
tempSpace=1200
mainTimeoutInSec=20
timeToFirstUpdInSec=0
firstUpdPercent=0
allowKill=1

; Vista AOl Parental Control link for Raga
[parcon]
source=INS:Comps\Parcon\AOLParconLink.exe
dest=S64:AOLParconLink.exe
target=S64:AOLParconLink.exe
params= -install
instSpace=100
footSpace=100
tempSpace=0
mainTimeoutInSec=20
timeToFirstUpdInSec=0
firstUpdPercent=0
allowKill=1

; Unagi
[unagi]
target=INS:Comps\unagi\ampx.english.exe
params=
instSpace=4200
footSpace=8151
tempSpace=4200
mainTimeoutInSec=20
timeToFirstUpdInSec=0
firstUpdPercent=0
allowKill=0

;Search Gadget
[schgad]
target=INS:Comps\gadget\aolSearch.gadget
params=
instSpace=1000
footSpace=1500
tempSpace=1200
mainTimeoutInSec=10
timeToFirstUpdInSec=0
firstUpdPercent=0
allowKill=1

;Daily Scoop Gadget
[scpgad]
target=INS:Comps\gadget\aolDailyScoop.gadget
params=
instSpace=400
footSpace=400
tempSpace=400
mainTimeoutInSec=10
timeToFirstUpdInSec=0
firstUpdPercent=0
allowKill=1
